<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=viewport, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9" crossorigin="anonymous">
    <style>
        div#suggestions-div > p:hover {
            background: rgb(218, 218, 218);
            transition: 0.3s ease-out;
        }
        div#suggestions-div > p {
            margin: 0;
            padding: 0.3rem;
        }
    </style>
</head>

<body style="min-height: 100vh;">
    <main class="p-3">

        <h1>Welcome</h1>
        <div class="mb-3 position-relative">
            <form id="searchForm">
                <input class="form-control mx-auto" 
                autocomplete="off"
                type="search" placeholder="Search" id="searchField" />
            </form>
            <div class="position-absolute bg-white w-100 mx-auto shadow-lg rounded" id="suggestions-div"
                style="z-index: 10; display: none; max-height: 40vh; overflow-y: scroll;">
            </div>
        </div>
        <div id="productsContainer" class="row row-gap-3 row-cols-4 md-row-col-2">

        </div>
    </main>

    <script src="./src/auth/isAuthneticatedPermission.js" type="module"></script>
    <script src="./src/products/productsRenderer.js" type="module"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js"
        integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-Rx+T1VzGupg4BHQYs2gCW9It+akI2MM/mndMCy36UVfodzcJcF0GGLxZIzObiEfa"
        crossorigin="anonymous"></script>
</body>

</html>